Bug 668649

Summary: Enable tee surface backend for cairo
Product: [Fedora] Fedora Reporter: Takanori MATSUURA <t.matsuu>
Component: cairoAssignee: Benjamin Otte <otte>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: otte
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-28 03:13:19 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Takanori MATSUURA 2011-01-10 23:20:39 EST
According to bmo 623797, cairo's tee surface backend will be required by future version of firefox.
https://bugzilla.mozilla.org/show_bug.cgi?id=623797#c8

So it's a good choice to add "--enable-tee" option to the configure script.
Comment 1 Benjamin Otte 2011-01-11 17:20:30 EST
If Firefox requires it, we'll enable it immediately and push an upgrade. So just pinging me (here or in IRC) should be enough. Until then, I'd prefer to be careful with Cairo backends that are unsupported upstream.

(I should note that I was the upstream person to default-disable it for 1.10 because we agreed it was untested and a bit buggy.)

Thanks for pointing out the upstream bug, I cc'ed myself there.
Comment 2 Takanori MATSUURA 2011-01-16 20:41:25 EST
According to https://bugzilla.mozilla.org/show_bug.cgi?id=624684#c2 ,
we need tee surface after landing https://bugzilla.mozilla.org/show_bug.cgi?id=593733 .

I'm watching bmo #624684 and bmo #593733.
I'll let you know when tee surface is required by mozilla products.
Comment 3 Takanori MATSUURA 2011-01-18 03:51:50 EST
bmo #593733 is fixed.
We need tee surface backend for Mozilla products now.
Comment 4 Benjamin Otte 2011-01-28 03:13:19 EST
Cairo was rebuilt with tee surface enabled already, so closing this.